<template>
  <v-list-item-avatar class="ml-2" :size="size">
    <img
      :src="profilePhoto ? profilePhoto : noPhoto"
      :width="size"
      :height="size"
      @error="imageDontLoad()"
      class="pa-0 secondary rounded-circle d-inline-block"
    />
  </v-list-item-avatar>
</template>
<script>
export default {
  props: {
    photo: String,
    size: {
      type: String,
      default: '80',
    }
  },
  data() {
    return {
      profilePhoto: this.photo,
      noPhoto:
        "https://developers.google.cn/web/images/contributors/no-photo.jpg?hl=es",
    };
  },
  methods: {
    imageDontLoad() {
      this.profilePhoto = this.noPhoto;
    },
  },
};
</script>
<style scoped>
</style>
